## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Upstream broke test imports
%bcond_with     tests

%global         srcname     google-cloud-automl
%global         forgeurl    https://github.com/googleapis/python-automl
Version:        2.8.3
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud AutoML API

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(google-cloud-storage)
BuildRequires:  python3dist(pandas)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
The Cloud AutoML API is a suite of machine learning products that enables
developers with limited machine learning expertise to train high-quality
models specific to their business needs, by leveraging Google’s
state-of-the-art transfer learning, and Neural Architecture Search technology.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1

# Allow a slightly older protobuf.
sed -i 's/"protobuf.*",/"protobuf>=3.19.4",/' setup.py

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove extra scripts.
rm -f %{buildroot}%{_bindir}/fixup_automl*.py


%if %{with tests}
%check
# Work around an unusual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
# NOTE(mhayden): The test_prediction_client_client_info requires some
# credentials which are not included in the source repo.
mv google{,_}
%pytest --disable-warnings -k "not test_prediction_client_client_info" tests/unit
mv google{_,}
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md
%{python3_sitelib}/google_cloud_automl-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Fri Feb 10 2023 Major Hayden <major@redhat.com> 2.8.3-3
- Disable tests temporarily due to broken imports

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 2.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 19 2022 Major Hayden <major@redhat.com> 2.8.3-1
- Update to 2.8.3 rhbz#2131857

* Mon Aug 15 2022 Major Hayden <major@redhat.com> 2.8.1-1
- Update to 2.8.1 rhbz#2118351

* Wed Jul 27 2022 Major Hayden <major@redhat.com> 2.8.0-1
- Update to 2.8.0 rhbz#2108613

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.7.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> 2.7.3-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> 2.7.3-1
- Update to 2.7.3

* Tue Mar 08 2022 Major Hayden <major@mhtx.net> 2.7.2-1
- Update to 2.7.2

* Tue Mar 01 2022 Major Hayden <major@mhtx.net> 2.7.1-1
- Update to 2.7.1

* Wed Feb 23 2022 Major Hayden <major@mhtx.net> 2.7.0-1
- Update to 2.7.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 18 2022 Major Hayden <major@mhtx.net> 2.6.0-1
- Update to 2.6.0

* Thu Nov 04 2021 Major Hayden <major@mhtx.net> 2.5.2-1
- Update to 2.5.2

* Thu Oct 21 2021 Major Hayden <major@mhtx.net> 2.5.1-1
- Update to 2.5.1

* Mon Oct 11 2021 Major Hayden <major@mhtx.net> 2.5.0-1
- Update to 2.5.0

* Tue Oct 05 2021 Major Hayden <major@mhtx.net> 2.4.2-1
- Initial import (#1998346)
